tuningresult-class {CMA} | R Documentation

## "tuningresult"

### Description

Object returned by the function `tune`

### Slots

`hypergrid`:
  A `data.frame` representing the grid of values that were tried and evaluated. The number of columns equals the number of tuned hyperparameters and the number rows equals the number of all possible combinations of the discrete grids.
`tuneres`:
  A list whose lengths equals the number of different `learningsets` for which tuning has been performed and whose elements are numeric vectors with length equal to the number of rows of `hypergrid` (s.above), containing the misclassifcation rate belonging to the respective hyperparameter/hyperparameter combination. In order to to get an overview about the best hyperparmeter/hyperparameter combination, use the convenience method `best`
`method`:
  Name of the classifier that has been tuned.
`fold`:
  Number of cross-validation fold used for tuning, s. argument of the same name in `tune`

### Methods

show
  Use `show(tuninresult-object)` for brief information.
best
  Use `best(tuningresult-object)` to see which hyperparameter/hyperparameter combination has performed best in terms of the misclassification rate, s. `best,tuningresult-method`
plot
  Use `plot(tuningresult-object, iter, which)` to display the performance of hyperparameter/hyperparameter combinations graphically, either as one-dimensional or as two-dimensional (contour) plot, s. `plot,tuningresult-method`

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`tune`

[Package CMA version 1.2.0 Index]